package com.yunzhupaas.base.util.fuctionFormVue3;

import com.yunzhupaas.base.util.common.GenerateInterface;

import java.io.File;
import java.util.ArrayList;
import java.util.List;

/**
 * @author 云筑产品开发平台组
 * @version V3.5.0
 * @copyright 深圳市乐程软件有限公司（http://www.szlecheng.cn）
 * @date 2024/5/31
 */
public class GenerateFormListFlow implements GenerateInterface {
    /**
     * 界面的模板
     *
     * @return
     */
    @Override
    public List<String> getTemplates(String templatePath, int type, boolean hasImport) {
        List<String> templates = new ArrayList<>();
        //前端页面
        if (type == 4) {
            templates.add(templatePath + File.separator + "html" + File.separator + "indexEdit.vue.vm");
            templates.add(templatePath + File.separator + "html" + File.separator + "Form.vue.vm");
        } else {
            templates.add(templatePath + File.separator + "html" + File.separator + "index.vue.vm");
            templates.add(templatePath + File.separator + "html" + File.separator + "Form.vue.vm");
        }
        //api接口
        templates.add(File.separator + "helper" + File.separator + "api.ts.vm");
        //后端
        templates.add(File.separator + "java" + File.separator + "Form.java.vm");
        if (hasImport) {
            templates.add(File.separator + "java" + File.separator + "ExcelVO.java.vm");
            templates.add(File.separator + "java" + File.separator + "ExcelErrorVO.java.vm");
        }
        templates.add(File.separator + "java" + File.separator + "Pagination.java.vm");
        templates.add(File.separator + "java" + File.separator + "Constant.java.vm");
        return templates;
    }

    @Override
    public List<String> getChildTemps(boolean isChild) {
        List<String> templates = new ArrayList<>();
        if (isChild) {
            templates.add(File.separator + "java" + File.separator + "Model.java.vm");
            templates.add(File.separator + "java" + File.separator + "ExcelVO.java.vm");
        }
        return templates;
    }
}

